Google Web Toolkit (Beta)
Search this site:

# Interface List

public interface List
extends Collection
// Implemented by `ArrayList`, `Vector`, `AbstractList`
Represents a sequence of objects.

## Methods

add(int, Object) |
add(Object) |
addAll(Collection) |
addAll(int, Collection) |
clear() |
contains(Object) |
containsAll(Collection) |
equals(Object) |
get(int) |
hashCode() |
indexOf(Object) |
isEmpty() |
iterator() |
lastIndexOf(Object) |
listIterator() |
listIterator(int) |
remove(int) |
remove(Object) |
removeAll(Collection) |
retainAll(Collection) |
set(int, Object) |
size() |
toArray() |